<?php
    /**
     * For full documentation, please visit: http://docs.reduxframework.com/
     * For a more extensive sample-config file, you may look at:
     * https://github.com/reduxframework/lixer/blob/master/sample/sample-config.php
     */

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "lixer_data";


    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
      'opt_name' => 'lixer_data',
      'dev_mode' => false,
      'use_cdn' => true,
      'display_name' => $theme->get( 'Name' ),
      'display_version' => $theme->get( 'Version' ),
      'page_slug' => '_options',
      'page_title' => esc_html__('Theme Options', 'lixer'),
      'admin_bar' => true,
      'menu_type' => 'menu',
      'menu_title' => esc_html__('Theme Options', 'lixer'),
      'admin_bar_icon' => 'dashicons-admin-generic',
      'allow_sub_menu' => true,
      'page_parent_post_type' => 'your_post_type',
      'customizer' => true,
      'hints' => array(
        'icon'          => 'el el-question-sign',
        'icon_position' => 'right',
        'icon_size'     => 'normal',
        'tip_style'     => array(
          'color' => 'dark',
        ),
        'tip_position' => array(
          'my' => 'top left',
          'at' => 'bottom right',
        ),
        'tip_effect' => array(
          'show' => array(
            'duration' => '500',
            'event'    => 'mouseover',
          ),
          'hide' => array(
            'duration' => '500',
            'event'    => 'mouseleave unfocus',
          ),
        ),
      ),
      'output' => true,
      'output_tag' => true,
      'settings_api' => true,
      'cdn_check_time' => '1440',
      'compiler' => true,
      'page_permissions' => 'manage_options',
      'save_defaults' => true,
      'show_import_export' => true,
      'transient_time' => '3400',
      'network_sites' => true,
      'disable_tracking' => true,
    );

    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */


    /*
     *
     * ---> START SECTIONS
     *
     */

    // General Settings
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'General Settings', 'lixer' ),
      'id'     => 'lixer__section-general',
      'icon'   => 'el el-cogs',
      'fields' => array(
        array(
          'id'        => 'lixer__opt-logo-standard',
          'type'      => 'media',
          'url'       => true,
          'title'     => esc_html__('Logo Image 1', 'lixer'),
          'compiler'  => 'true',
          'desc'      => esc_html__('Upload your image or remove image', 'lixer'),
          'default'   => array(
            'url'     => get_template_directory_uri() . '/inc/assets/images/logo.png'),
        ),
        array(
          'id'        => 'lixer__opt-logo-standard-two',
          'type'      => 'media',
          'url'       => true,
          'title'     => esc_html__('Logo Image 2', 'lixer'),
          'compiler'  => 'true',
          'desc'      => esc_html__('Upload your image or remove image', 'lixer'),
          'default'   => array(
            'url'     => get_template_directory_uri() . '/inc/assets/images/logo2.png'),
        ),
      )
    ) );
    

// Header email and phone number Top Bar
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Header Top Bar', 'lixer' ),
      'id'     => 'lixer__subsection-header-top-bar ',
      'fields' => array(
           array(
          'id'        => 'lixer_opt-header-top-bar',
          'type'      => 'switch',
          'title'     => esc_html__('Show Header Top Bar?', 'lixer'),
          'subtitle'  => esc_html__('Turn on to show Top Bar in the top of the Header.', 'lixer'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'lixer'),
          'off'       => esc_html__('No', 'lixer'),
        ),
       
        array(
          'id'        => 'lixer__opt-right-sidebar-menu',
          'type'      => 'switch',
          'title'     => esc_html__('Display Address', 'lixer'),
          'subtitle'  => esc_html__('Turn on to display the Address in the Header Top Bar.', 'lixer'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'lixer'),
          'off'       => esc_html__('No', 'lixer'),
        ),
        array(
          'id'        => 'lixer__right-sidebar-menu',
          'type'      => 'textarea',
          'title'     => esc_html__('Get Address', 'lixer'),
          'subtitle'  => esc_html__('Address to display next to the envelope icon.', 'lixer'),
          'default'   => esc_html__('411 University St, Seattle, USA', 'lixer'),
          'required'  => array('lixer__opt-right-sidebar-menu', '=', '1'),
        ), 
          
      
    
      )
    ) );


	// Header Right Menu

    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Header Right Menu', 'lixer' ),
      'id'     => 'lixer__subsection-right-menu',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'lixer__opt-right-menu',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'lixer'),
			 'default'   => 2,
            'on'        => esc_html__( 'Yes', 'lixer' ),
            'off'       => esc_html__( 'No', 'lixer' ),
          ),

          array(
            'id'      => 'lixer__right-menu',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Right Menu Text', 'lixer' ),
			'default'   => 1,
            'default' => ' <a href="contact.html" class="btn ss-btn">Get A Quote</a>',
            'required'  => array('lixer__opt-right-menu', '=', '1'),
          ),
          array(
            'id'      => 'lixer__right-menu-social',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Side Menu social icon', 'lixer' ),
			'default'   => 1,
            'default' => '  <a href="https://www.facebook.com/zcubetheme">FW</a>
                     <a href="https://dribbble.com/mdsubhan0786">DR</a>
                     <a href="https://www.behance.net/mdsubhan53726f">BE</a>
                     <a href="https://www.linkedin.com/in/mohd-subhan-4156b933/">LN</a>
                     <a href="https://pinterest.com/mdsubhan53/_saved/">PN</a>',
            'required'  => array('lixer__opt-right-menu', '=', '1'),
          ),
      )
        
        
    ) );


	 ///////////////////////////////////////////////////////// Theme color///////////////////////////////////////
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Theme Colors', 'lixer' ),
      'id'     => 'lixer__section-color',
      'icon'   => 'el el-arrow-down',
      'fields' => array(
      )
    ) );

	Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'General Theme Colors', 'lixer' ),
      'id'     => 'lixer__subsection-general-theme-color',
	  'subsection' => true,
      'fields' => array(
	   array(
          'id'        => 'lixer__opt-body-text-color',
          'type'      => 'color',
          'title'     => esc_html__('Body Text Color', 'lixer'),
		   'default' => '#777',
		  'output'  => array('body,.widget_categories a'),
		  'subtitle' => esc_html__('Theme Text Body Color Manage from the Redux Controller', 'lixer'),
        ),
		 array(
			'id'       => 'opt-color-blog',
			'type'     => 'background',
			'output'   => array('.site-content'),
			'title'    => esc_html__('Page Background Color', 'lixer'),
			'subtitle' => esc_html__('Pick a Page Background color for the theme', 'lixer'),
            'default'  => array(
            'background-color'    => '#ffffff',
          ),
		),
		 array(
			'id'       => 'opt-color-breadcums',
			'type'     => 'background',
			'output'  => array('.breadcrumb-area'),
			'title'    => esc_html__('Breadcums Background Color', 'lixer'),
			'subtitle' => esc_html__('Pick a Breadcums background color for the theme', 'lixer'),
			'default'               => array(
            'background-color'    => '#ffffff',
			
          ),
		),
		array(
			'id'       => 'opt-color-footer',
			'type'     => 'background',
			'output'  => array('.footer-bg'),
			'title'    => esc_html__('Footer Background Color', 'lixer'),
			'subtitle' => esc_html__('Pick a Footer background color for the theme', 'lixer'),
			'default'               => array(
            'background-color'    => '#ffffff',
          ),
		),
		array(
			'id'        => 'opt-color-bakground',
			'type'      => 'color',
			'title'     => esc_html__('Primary Color', 'lixer'),
			'subtitle'  => esc_html__('Pick a background color.', 'lixer'),
			'default'   => '#000',
			'output'    => array(
				'background-color' => '.btn.ss-btn,#scrollUp,.gallery-image-home::before,.comment-form .submit,.widget-social a:hover,.search-form .search-submit, .wp-block-search .wp-block-search__button,.menu-area .menu-tigger',
				'color'            => '.testimonial-active .slick-dots .slick-active button,.home-blog-active .slick-arrow i',
				'border-color'     => '.home-blog-active .slick-arrow i,.sidebar-widget .widget_text a:hover,.btn.ss-btn'

			)
		),
          
        array(
			'id'        => 'opt-color-whtext',
			'type'      => 'color',
			'title'     => esc_html__('Primary White Text Color', 'lixer'),
			'subtitle'  => esc_html__('Pick a White text color.', 'lixer'),
			'default'   => '#fff',
			'output'    => array(
				
				'color'  => '.btn.ss-btn,#scrollUp,.gallery-image-home h4,.comment-form .submit,.widget-social a:hover,.search-form .search-submit, .wp-block-search .wp-block-search__button,.menu-area .menu-tigger'

			)
		),
      )
    ) );

//  Typography
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Typography', 'lixer' ),
      'id'     => 'lixer__subsection-typography-general',
      'fields' => array(
	  
        
        array(
          'id'          => 'lixer__custom_body_font',
          'type'        => 'switch',
          'title'       => esc_html__('Customize Body font?', 'lixer'),
          'subtitle'    => esc_html__('Turn on to use custom fonts for the theme main text.', 'lixer'),
          'default'     => false,
        ),
        array(
          'id'          => 'lixer__body-font',
          'type'        => 'typography',
          'title'       => esc_html__('Body font', 'lixer'),
          'subtitle'    => esc_html__('Specify the Body font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('body'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_body_font', '=', '1'),
          'default'     => array(
            'color'         => '#777',
            'font-size'     => '18px',
            'font-family'   => 'Roboto',
            'google'        => true,
            'font-weight'   => '400',
          ),
        ),
        array(
          'id'          => 'lixer__custom_heading_font',
          'type'        => 'switch',
          'title'       => esc_html__('Customize Headings?', 'lixer'),
          'subtitle'    => esc_html__('Turn on to use custom fonts, change color, line-height etc. for the theme Headings.', 'lixer'),
          'default'     => false,
        ),
        array(
          'id'          => 'typography-h1',
          'type'        => 'typography',
          'title'       => esc_html__('H1 Heading', 'lixer'),
          'subtitle'    => esc_html__('Specify the H1 heading font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('h1'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_heading_font', '=', '1'),
          'default'     => array(
            'color'         => '#000',
            'font-size'     => '46px',
            'font-family'   => 'Roboto Slab',
            'google'        => true,
            'font-weight'   => '600',
          ),
        ),
        array(
          'id'          => 'typography-h2',
          'type'        => 'typography',
          'title'       => esc_html__('H2 Heading', 'lixer'),
          'subtitle'    => esc_html__('Specify the H2 heading font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('h2'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_heading_font', '=', '1'),
          'default'     => array(
            'color'         => '#000',
            'font-size'     => '36px',
            'font-family'   => 'Roboto Slab',
            'google'        => true,
            'font-weight'   => '600',
          ),
        ),
        array(
          'id'          => 'typography-h3',
          'type'        => 'typography',
          'title'       => esc_html__('H3 Heading', 'lixer'),
          'subtitle'    => esc_html__('Specify the H3 heading font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('h3'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_heading_font', '=', '1'),
          'default'     => array(
            'color'         => '#000',
            'font-size'     => '28px',
            'font-family'   => 'Roboto Slab',
            'google'        => true,
            'font-weight'   => '600',
          ),
        ),
        array(
          'id'          => 'typography-h4',
          'type'        => 'typography',
          'title'       => esc_html__('H4 Heading', 'lixer'),
          'subtitle'    => esc_html__('Specify the H4 heading font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('h4'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_heading_font', '=', '1'),
          'default'     => array(
            'color'         => '#000',
            'font-size'     => '21px',
            'font-family'   => 'Roboto Slab',
            'google'        => true,
            'font-weight'   => '600',
          ),
        ),
        array(
          'id'          => 'typography-h5',
          'type'        => 'typography',
          'title'       => esc_html__('H5 Heading', 'lixer'),
          'subtitle'    => esc_html__('Specify the H5 heading font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('h5'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_heading_font', '=', '1'),
          'default'     => array(
            'color'         => '#000',
            'font-size'     => '18px',
            'font-family'   => 'Roboto Slab',
            'google' => true,
            'font-weight'   => '600',
          ),
        ),
        array(
          'id'          => 'typography-h6',
          'type'        => 'typography',
          'title'       => esc_html__('H6 Heading', 'lixer'),
          'subtitle'    => esc_html__('Specify the H6 heading font properties.', 'lixer'),
          'google'      => true,
          'output'      => array('h6'),
          'units'       => 'px',
          'line-height' => false,
          'text-align'  => false,
          'required'    => array('lixer__custom_heading_font', '=', '1'),
          'default'     => array(
            'color'         => '#000',
            'font-size'     => '15px',
            'font-family'   => 'Roboto Slab',
            'google'        => true,
            'font-weight'   => '600',
          ),
        ),
      )
    ) );



	 /////////////////////////////////////////////////footer ///////////////////////////////////////////////
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Theme Footer', 'lixer' ),
      'id'     => 'lixer__section-footer',
      'icon'   => 'el el-arrow-down',
      'fields' => array(
      )
    ) );
	

// Footer Text
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Footer Text', 'lixer' ),
      'id'     => 'lixer__subsection-footer-text',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'lixer__opt-footer-text',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'lixer'),
			'default'   => 2,
            'on'        => esc_html__( 'Yes', 'lixer' ),
            'off'       => esc_html__( 'No', 'lixer' ),
          ),
          
       )
    ) );


    // Footer Copyright
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Copyright', 'lixer' ),
      'id'     => 'lixer__subsection-footer-copyright',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'lixer__opt-copyright',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'lixer'),
			 'default'   => 2,
            'on'        => esc_html__( 'Yes', 'lixer' ),
            'off'       => esc_html__( 'No', 'lixer' ),
          ),
		  
          array(
            'id'      => 'lixer__copyright',
            'type'    => 'text',
            'title'   => esc_html__( 'Copyright Textarea', 'lixer' ),
			'default'   => 1,
            'default' => 'Copyright &copy; 2021 Lixer. All rights reserved.',
            'required'  => array('lixer__opt-copyright', '=', '1'),
          ),
          
          array(
            'id'      => 'lixer__copyright-text',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Footer Text', 'lixer' ),
			'default'   => 1,
            'default' => 'logo ',
            'required'  => array('lixer__opt-copyright', '=', '1'),
          ),
      )
    ) );
	

    // Footer Widgets
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Widgets', 'lixer' ),
      'id'     => 'lixer__subsection-footer-widgets',
	  'subsection' => true,
      'fields' => array(
        array(
          'id'        => 'lixer__opt-footer-widgets',
          'type'      => 'switch',
          'title'     => esc_html__('Switch', 'lixer'),
          'default'   => 2,
          'on'        => 'Show',
          'off'       => 'Hide',
        ),
        array(
          'id'        => 'lixer__opt-footer-widgets-layout',
          'type'      => 'image_select',
          'compiler'  => true,
          'title'     => esc_html__('Footer Widgets Layout', 'lixer'),
          'options'   => array(
            '1' => array(
              'alt' => esc_html__( '4 Columns (equal)', 'lixer' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols2.png'),
            '2' => array(
              'alt' => esc_html__('4 Columns', 'lixer'),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols1.png'),
            '3' => array(
              'alt' => esc_html__( '3 Columns (left wider)', 'lixer' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols3.png'),
            '4' => array(
              'alt' => esc_html__( '3 Columns (right wider)', 'lixer' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols4.png'),
            '5' => array(
              'alt' => esc_html__( '3 Columns (equal)', 'lixer' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols5.png'),
            '6' => array(
              'alt' => esc_html__( '2 Columns (right wider)', 'lixer' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols6.png'),
            '7' => array(
              'alt' => esc_html__( '2 Columns (left wider)', 'lixer' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols7.png'),
          ),
          'default'   => '1',
          'required'  => array('lixer__opt-footer-widgets', '=', '1'),
        ),
      )
    ) );
  
    /*
     * <--- END SECTIONS--->
     */