<?php

if ( ! defined( 'ABSPATH' ) ) exit;

require_once wp_elementor . '/elementor/traits.php';

class Lixer_Elementor_Integration {

	public $widgets;

	public function __construct()
	{
		$this->widgets = [
            
        'header',
        'vcheader',
        'experience',
        'page-title',
        'video',
        'why-choose',
        'footer',
        'header-slider',       
        'header-slider-two',       
        'features',
        'about',      
        'about-home-two',      
        'newsletter',  
        'service', 
        'service-one', 
        'service-two', 
        'portfolio', 
        'portfolio-home', 
        'counter', 
        'team',
        'team-two',     
        'testimonial', 
        'testimonial-two', 
        'support',   
        'blog', 
        'blog-two', 
        'price',
        'faq',  
        'skill',  
        'skill-two',  
        'revolving',  
        'brand', 
        'contact-sections',       
        'contact-info',       
                
		];
		add_action( 'elementor/init', array( $this, 'widgets_registered' ) );
	}
	public function widgets_registered()
	{
		if ( ! defined( 'ELEMENTOR_PATH' ) || ! class_exists( 'Elementor\Widget_Base' ) || ! class_exists( 'Elementor\Plugin' ) ) {
			return false;
		}

		$elementor = Elementor\Plugin::instance();


		foreach ($this->widgets as $widget) {
			$template_file = wp_elementor . "/elementor/widgets/{$widget}.php";
			if ( file_exists( $template_file ) ) {
				require_once $template_file;
			}
		}
	}
}
new Lixer_Elementor_Integration;