<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_about_home_two extends Widget_Base {

	public function get_name() {
		return 'Elementor-about-home-two';
	}

	public function get_title() {
		return __( 'Zc >  About Home Two' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'About Home Two','lixer'),]
		);
        
       $this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Sevices Box','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
					[                    
						'name' => 'icon',
						'label' => esc_html__( 'Icon Images' ,'lixer' ),
						'type' => Controls_Manager::MEDIA,
					],
                    
                    [                    
						'name' => 'headign-text',
						'label' => esc_html__( 'Title' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    [                    
						'name' => 'content-text',
						'label' => esc_html__( 'Content' ,'lixer' ),
						'type' => Controls_Manager::TEXTAREA,
					],
                    
                     [                    
						'name' => 'button-url',
						'label' => esc_html__( 'Text URL' ,'lixer' ),
						'type' => Controls_Manager::URL,
					],
                   
                              
				],
			]
		);
        $this->add_control(

			'text_heading',
                [

                    'label' => esc_html__( 'Heading Text' ,'lixer'),
                    'type' => Controls_Manager::TEXT,
                ]
			);
        $this->add_control(

			'text_content',
                [

                    'label' => esc_html__( 'Content Text' ,'lixer'),
                    'type' => Controls_Manager::TEXTAREA,
                ]
			);
        
		
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('about-home-two', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'text_heading' => $this->get_settings('text_heading'),
			'text_content' => $this->get_settings('text_content'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_about_home_two() );