<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_contact_info extends Widget_Base {

	public function get_name() {
		return 'Elementor-contact-info';
	}

	public function get_title() {
		return __( 'Zc >  Contact Info' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Contact Info','lixer'),]
		);
        $this->add_control(

			'text_heading',

			[
				'label' => esc_html__( 'Text Heading' ,'lixer'),
				'type' => Controls_Manager::TEXT,
			]

			);  
        
        $this->add_control(

			'text_description',

			[
				'label' => esc_html__( 'Description' ,'lixer'),
				'type' => Controls_Manager::TEXT,
			]

			);  
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    [					
						'name' => 'text',
						'label' => esc_html__( 'Heading','lixer'),
						'type' => Controls_Manager::TEXT,
					],
                   
                    [					
						'name' => 'content',
						'label' => esc_html__( 'Content','lixer'),
						'type' => Controls_Manager::TEXTAREA,
					],
					
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('contact-info', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'text_heading' => $this->get_settings('text_heading'),
			'text_description' => $this->get_settings('text_description'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_contact_info() );