<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_Widget_contacts extends Widget_Base {

	public function get_name() {

		return 'Elementor_contacts-widget';

	}

	public function get_title() {

		return esc_html__( 'Zc > Contact Sections','lixer');

	}

	public function get_icon() {		

		 return 'eicon-image-box';

	 }

	protected function _register_controls() {

		$traits = new \Lixer_Elementor_Traits($this);   


		$this->start_controls_section(

			'the_header_controls',

			['label' => esc_html__( 'Contact Section','lixer'),]

		);	
        
         $this->add_control(

			'text_heading',

			[
				'label' => esc_html__( 'Text Heading' ,'lixer'),
				'type' => Controls_Manager::TEXT,
			]

			);  
        
        $this->add_control(

			'shortcode',

			[
				'label' => esc_html__( 'Enter your shortcode' ,'lixer'),
				'type' => Controls_Manager::TEXTAREA,
			]

			);
        
             $this->add_control(

			'text_heading_two',

			[
				'label' => esc_html__( 'Map Ifram' ,'lixer'),
				'type' => Controls_Manager::TEXTAREA,
			]

			);  
            
           
           

		$this->end_controls_section();

	}

	protected function render( $instance = [] ) {

        lixer_el()->get_section('contact-sections', [
            
            'service_section_var' => $this->get_settings('service_section'),
            'text_heading' => $this->get_settings('text_heading'),
        	'shortcode' => $this->get_settings('shortcode'),
        	'text_heading_two' => $this->get_settings('text_heading_two'),
            
			]);

	}

	protected function content_template() {}
    
	public function render_plain_content() {}

}
Plugin::instance()->widgets_manager->register_widget_type( new Elementor_Widget_contacts() );