<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_counter_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-counter-widget';
	}

	public function get_title() {
		return __( 'Zc >  Counter Box' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Counter','lixer'),]
		);
        
        $this->add_control(

			'back_img',
                [

                    'label' => esc_html__( 'Background Image' ,'lixer'),
                    'type' => Controls_Manager::MEDIA,
                ]
			);
        
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    [                    
						'name' => 'icon_img',
						'label' => esc_html__( 'Icon' ,'lixer' ),
						'type' => Controls_Manager::MEDIA,
					],
					[                    
						'name' => 'increment',
						'label' => esc_html__( 'increment' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                                        
                    [					
						'name' => 'text',
						'label' => esc_html__( 'Content','lixer'),
						'type' => Controls_Manager::TEXTAREA,
					],
					
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('counter', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
			'back_img' => $this->get_settings('back_img'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_counter_box() );