<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_Experience_Box extends Widget_Base {

	public function get_name() {
		return 'Elementor-experience-widget';
	}

	public function get_title() {
		return __( 'Zc >  Experience' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Experience','lixer'),]
		);
        
     $this->add_control(

			'button_text',

			[
				'label' => esc_html__( 'Button Text' ,'lixer'),
				'type' => Controls_Manager::TEXT,

			]
			);  
        
        
        $this->add_control(

			'button_link',

			[
				'label' => esc_html__( 'Button Link' ,'lixer'),
				'type' => Controls_Manager::URL,

			]
			);  
        
        
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Experience Repeator Text','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    [                    
						'name' => 'heading',
						'label' => esc_html__( 'Heading' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [                    
						'name' => 'date',
						'label' => esc_html__( 'Date' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                     [                    
						'name' => 'dcsr',
						'label' => esc_html__( 'Description' ,'lixer' ),
						'type' => Controls_Manager::TEXTAREA,
					],
                              
				],
			]
		);
        $this->add_control(
			'service_section2',
			[
				'label' => esc_html__( 'Gallery Repeator','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    [                    
						'name' => 'gimg',
						'label' => esc_html__( 'Images' ,'lixer' ),
						'type' => Controls_Manager::MEDIA,
					],
                    
                    [                    
						'name' => 'link',
						'label' => esc_html__( 'link' ,'lixer' ),
						'type' => Controls_Manager::URL,
					],
                              
				],
			]
		);
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('experience', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'service_section_var2' => $this->get_settings('service_section2'),
			'button_text' => $this->get_settings('button_text'),
			'button_link' => $this->get_settings('button_link'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_Experience_Box() );