<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_features_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-features-widget';
	}

	public function get_title() {
		return __( 'Zc >  Features Box' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Features','lixer'),]
		);
        
        $this->add_control(
			'text_heading',

			[

				'label' => esc_html__( 'Heading' ,'lixer'),
				'type' => Controls_Manager::TEXT,

			]

			);
        $this->add_control(
			'icon',

			[

				'label' => esc_html__( 'icon' ,'lixer'),
				'type' => Controls_Manager::MEDIA,

			]

			);
          
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
					[                    
						'name' => 'icon',
						'label' => esc_html__( 'Icon' ,'lixer' ),
						'type' => Controls_Manager::MEDIA,
					],
                              
					[                    
						'name' => 'increment',
						'label' => esc_html__( 'Increment' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [					
						'name' => 'text',
						'label' => esc_html__( 'Heading','lixer'),
						'type' => Controls_Manager::TEXT,
					],
                    
                     [					
						'name' => 'text_link',
						'label' => esc_html__( 'Text Link','lixer'),
						'type' => Controls_Manager::URL,
					],
                    
                    [					
						'name' => 'content',
						'label' => esc_html__( 'Content','lixer'),
						'type' => Controls_Manager::TEXTAREA,
					],
					
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('features', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'text_heading' => $this->get_settings('text_heading'),
			'icon' => $this->get_settings('icon'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_features_box() );