<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_revolving extends Widget_Base {

	public function get_name() {
		return 'Elementor-revolving';
	}

	public function get_title() {
		return __( 'Zc >  Revolving' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Revolving','lixer'),]
		);
        
        $this->add_control(

			'back_img',
                [

                    'label' => esc_html__( 'Background Image' ,'lixer'),
                    'type' => Controls_Manager::MEDIA,
                ]
			);
        $this->add_control(

			'feature_img',
                [

                    'label' => esc_html__( 'Feature Image' ,'lixer'),
                    'type' => Controls_Manager::MEDIA,
                ]
			);
        $this->add_control(

			'text_heading',
                [

                    'label' => esc_html__( 'Heading Text' ,'lixer'),
                    'type' => Controls_Manager::TEXT,
                ]
			);
        $this->add_control(

			'text_content',
                [

                    'label' => esc_html__( 'Box 1' ,'lixer'),
                    'type' => Controls_Manager::TEXTAREA,
                ]
			);
         $this->add_control(

			'text_content_two',
                [

                    'label' => esc_html__( 'Box 2' ,'lixer'),
                    'type' => Controls_Manager::TEXTAREA,
                ]
			);
         $this->add_control(

			'text_content_three',
                [

                    'label' => esc_html__( 'Box 3' ,'lixer'),
                    'type' => Controls_Manager::TEXTAREA,
                ]
			);
        
        
		
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('revolving', [
			
			'back_img' => $this->get_settings('back_img'),
			'text_heading' => $this->get_settings('text_heading'),
			'text_content' => $this->get_settings('text_content'),
			'text_content_two' => $this->get_settings('text_content_two'),
			'text_content_three' => $this->get_settings('text_content_three'),
			'feature_img' => $this->get_settings('feature_img'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_revolving() );