<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_service_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-service-widget';
	}

	public function get_title() {
		return __( 'Zc >  Service Box' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Service Section','lixer'),]
		);
        
       
       
         $this->add_control(
             
			'text_heading',

			[
				'label' => esc_html__( 'Link Text' ,'lixer'),
				'type' => Controls_Manager::TEXT,
			]
			);
        
        
		$this->add_control(
			'posts_per_page',
			[
				'label'   => esc_html__( 'Number of items to show', 'lixer' ),
				'type'    => Controls_Manager::NUMBER,
				'default' => 3,
			]
		);
        
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('service', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'text_heading' => $this->get_settings('text_heading'),
			'posts_per_page' => $this->get_settings('posts_per_page'),

			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_service_box() );