<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_support extends Widget_Base {

	public function get_name() {
		return 'Elementor_support';
	}

	public function get_title() {
		return esc_html__( 'Zc > Support','lixer');
	}

	public function get_icon() {
		
		 return 'eicon-image-box';
	 }

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);

		$this->start_controls_section(
			'the_why_choose_controls',
			['label' => esc_html__( 'Support','lixer'),]
		);
        
         $this->add_control(

			'back_img',

                [
                    'label' => esc_html__( 'Background Image' ,'lixer'),
                    'type' => Controls_Manager::MEDIA,
                ]

			);
        
         $this->add_control(

			'icon_img',

                [
                    'label' => esc_html__( 'Icon Image' ,'lixer'),
                    'type' => Controls_Manager::MEDIA,
                ]

			);
        
        $this->add_control(

			'text_heading',

                [
                    'label' => esc_html__( 'Text Heading' ,'lixer'),
                    'type' => Controls_Manager::TEXT,
                ]

			);
        
        $this->add_control(

			'button_text',

                [
                    'label' => esc_html__( 'Button Text' ,'lixer'),
                    'type' => Controls_Manager::TEXT,
                ]

			);
        
        $this->add_control(

			'button_link',

                [
                    'label' => esc_html__( 'Button Link' ,'lixer'),
                    'type' => Controls_Manager::URL,
                ]

			);

		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {


		lixer_el()->get_section('support', [
            
			'back_img' => $this->get_settings('back_img'),
			'icon_img' => $this->get_settings('icon_img'),
			'text_heading' => $this->get_settings('text_heading'),
			'button_text' => $this->get_settings('button_text'),
			'button_link' => $this->get_settings('button_link'),
                   
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_support() );
