<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_testimonial extends Widget_Base {

	public function get_name() {
		return 'Elementor-testimonial';
	}

	public function get_title() {
		return esc_html__( 'Zc >  Testimonial' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Testimonials','lixer'),]
		);
        
        
      
        
         $this->add_control(

            'icon_img',
            [
                'label' => esc_html__( 'Icon Image' ,'lixer'),
                'type' => Controls_Manager::MEDIA,
            ]
            );

    
        
         				
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
				   
                  [
						'name' => 'features_img',
						'label' => esc_html__( 'features Image','lixer'),
						'type' => Controls_Manager::MEDIA,
					],
					
					[
					    'name' => 'features_img_switcher',
						'label' => esc_html__( 'features Image Switcher','lixer'  ),
						'type' => Controls_Manager::SWITCHER,
						'default' => 'yes',
						'label_on' => esc_html__( 'Show','lixer' ),
						'label_off' => esc_html__( 'Hide','lixer'  ),
						'return_value' => 'yes',
					],
                    
                     [
						'name' => 'text',
						'label' => esc_html__( 'Text' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
					
                    [
						'name' => 'name',
						'label' => esc_html__( 'name' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [
						'name' => 'position',
						'label' => esc_html__( 'Position' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [
						'name' => 'content',
						'label' => esc_html__( 'Content' ,'lixer' ),
						'type' => Controls_Manager::TEXTAREA,
					],
                    
				],
			]
		);
         
		$this->end_controls_section();
		
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('testimonial', [
            
			'service_section_var' => $this->get_settings('service_section'), 
			'column_section_data' => $this->get_settings('column_section'),
			'hading_section_data' => $this->get_settings('heading-text'),
			'icon_img' => $this->get_settings('icon_img'),
			'test_img' => $this->get_settings('test_img'),    
                  
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_testimonial() );