<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_Vcheader_Box extends Widget_Base {

	public function get_name() {
		return 'Elementor-vcheader-widget';
	}

	public function get_title() {
		return __( 'Zc >  Vc Header' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Vc Header','lixer'),]
		);
        
         $this->add_control(

			'bg_img',

			[
				'label' => esc_html__( 'Background Image' ,'lixer'),
				'type' => Controls_Manager::MEDIA,

			]
			);  
        
        $this->add_control(

			'icon_img',

			[
				'label' => esc_html__( 'Main Image' ,'lixer'),
				'type' => Controls_Manager::MEDIA,

			]
			);  
        
        $this->add_control(

			'text_heading',

			[
				'label' => esc_html__( 'Text Heading' ,'lixer'),
				'type' => Controls_Manager::TEXT,

			]
			);  
        
        $this->add_control(

			'text_sub_heading',

			[
				'label' => esc_html__( 'Text Sub Heading' ,'lixer'),
				'type' => Controls_Manager::TEXT,

			]
			);  
        
    
        
        $this->add_control(

			'desc',

			[
				'label' => esc_html__( 'Description' ,'lixer'),
				'type' => Controls_Manager::TEXTAREA,

			]
			);  
    
        
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Skill Repeator Text','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    [                    
						'name' => 'text',
						'label' => esc_html__( 'Heading' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [                    
						'name' => 'increment',
						'label' => esc_html__( 'Increment' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                              
				],
			]
		);
        $this->add_control(
			'service_section2',
			[
				'label' => esc_html__( 'Skill Repeator Text 2','lixer'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    [                    
						'name' => 'text',
						'label' => esc_html__( 'Heading' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [                    
						'name' => 'increment',
						'label' => esc_html__( 'Increment' ,'lixer' ),
						'type' => Controls_Manager::TEXT,
					],
                              
				],
			]
		);
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('vcheader', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'service_section_var2' => $this->get_settings('service_section2'),
			'bg_img' => $this->get_settings('bg_img'),
			'icon_img' => $this->get_settings('icon_img'),
			'text_heading' => $this->get_settings('text_heading'),
			'text_sub_heading' => $this->get_settings('text_sub_heading'),
			'desc' => $this->get_settings('desc'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_Vcheader_Box() );