<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_why_choose_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-why-choose-widget';
	}

	public function get_title() {
		return __( 'Zc >  Why Choose' ,'lixer' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \Lixer_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Why Choose','lixer'),]
		);
        
        $this->add_control(

			'back_img',
                [

                    'label' => esc_html__( 'Background Image' ,'lixer'),
                    'type' => Controls_Manager::MEDIA,
                ]
			);
        $this->add_control(

			'text_heading',
                [

                    'label' => esc_html__( 'Heading Text' ,'lixer'),
                    'type' => Controls_Manager::TEXT,
                ]
			);
        $this->add_control(

			'text_content',
                [

                    'label' => esc_html__( 'Content Text' ,'lixer'),
                    'type' => Controls_Manager::TEXTAREA,
                ]
			);
        
		
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		lixer_el()->get_section('why-choose', [
			
			'back_img' => $this->get_settings('back_img'),
			'text_heading' => $this->get_settings('text_heading'),
			'text_content' => $this->get_settings('text_content'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_why_choose_box() );